Jump to content
JAC!

MADS Linux Build

Recommended Posts

Created a Linux 32-bit executable of 1.9.8, maybe somebody can test and confirm if it works on Linux 32/64 bit.

mads-1.9.8-linux-i386.zip

Share this post


Link to post
Share on other sites

Created a Linux 32-bit executable of 1.9.8, maybe somebody can test and confirm if it works on Linux 32/64 bit.

 

Hi Peter,

 

Yes, confirmed, this works on Linux Mint 16 (MATE) - 64 bit.

 

Thank you for this.

 

Hmm... maybe I could change my toolchain to run in Linux now?

 

Could you explain how that you produced this? Then if a new version of MADS comes out, it doesn't have to be you completing the compiles.

Edited by snicklin

Share this post


Link to post
Share on other sites

I have updated the compilers download archive on my site.

http://www.wudsn.com/index.php/ide/installation#InstallingCompilers

It also has the scripts to compile and the example files.
- ATASM 1.07 recompiled
- MADS 1.9.8 compiled for Windows and Linux
- KickAss 3.34 included

>Could you explain how that you produced this? Then if a new version of MADS comes out, it doesn't have to be you completing the compiles.
I have an Ubuntu 12.04 32-bit VM ware image (finally, again) where I test the IDE and now also have everything in place again for compiling.
For ATASM I have created a 32-bit and 64-bit Linux version also. So maybe some of you can also test that,too.

 

As you can see here, Mac OS X is a bit of a problem. I do have a VM ware image for that now also, but since it's rather old Mac OS X version and compiling there will take some effort, I'd be happy if people could fill in for the missing versions in http://www.wudsn.com/index.php/ide/installation#InstallingCompilers.

Edited by JAC!

Share this post


Link to post
Share on other sites

I managed to install the necessary software to compile MADS under Snow Leopard some months back, but it did involve a lengthy series of downloads. Unfortunately I forget the specifics. If I can recreate the set up again I'll post details.

Edited by flashjazzcat

Share this post


Link to post
Share on other sites

In fact I do have a similar VMWare image like the one for Ubuntu also for Mac OS 10.5.5. But due to several reasons I cannot update as it would break the VM. So compiling is actually possible, but since I don't seem to get Java 1.7 onto it, it's becoming a dead end for the other stuff I 'l like to test.

Share this post


Link to post
Share on other sites

I managed to install the necessary software to compile MADS under Snow Leopard some months back, but it did involve a lengthy series of downloads. Unfortunately I forget the specifics. If I can recreate the set up again I'll post details.

 

Apple has a download for the command line tools, but they might have removed the 10.6. The command line tools and brew help when compiling.

Share this post


Link to post
Share on other sites

Compling itself it not the issue. I have VMs for all relevant platforms where I can compile. Upload wil be available soon. Only the OS X is becoming a dead end for me in terms of Java...

Share this post


Link to post
Share on other sites

Just compiled this if it's still of use; perhaps it can be added to the compiler package if it's not already present:

 

mads_1.9.8_OS_X.zip

 

Note: since we were discussing compilation of MADS under Mac OS X previously, I reacquainted myself with the pre-requisites. Under Mac OS X 10.6.8, I installed XCode 4.2 for Snow Leopard (this was hard to find), then the Free Pascal Compiler. I then compiled the MADS sources exactly as directed in the assembler's documentation.

Share this post


Link to post
Share on other sites

Thanks Jon. It actually was included already here: http://www.wudsn.com/index.php/106-site-update-2014-14-05

 

 

I was sure I'd seen an updated compiler package on your website, but it flew by my eyes and I somehow couldn't find it again after that: hence I compiled it in the wee small hours last night. But if it's already there, great. :)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...